v1.0.0
OpenAPI 3.1.0

Save an email version

US region

Client Libraries

Save an email version

Saves a version of the email's current content, envelope, and any component dependencies it references.

If you need to revert to a previous version, use Restore an email version.

If the email is identical to the most recent version, this returns that version with "created": false instead of saving a duplicate. If the code of a referenced custom component changes, you can save a new version of the email with the latest component changes; however, the code diff in Design Studio will show no change because the component code isn't compiled in that view.

Path Parameters
  • id
    Type: string Format: uuid
    required

    The UUID of the email. If your email has translations, this is the ID of a specific language variant.

Body
required
application/json
  • name
    Type: string
    min length:  
    1
    max length:  
    100
    required

    Name for the version, shown in the version history list.

  • description
    Type: string

    Note about the version.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/design_studio/emails/{id}/versions
{
  "name": "Before holiday redesign",
  "description": ""
}
{
  "created": true,
  "version": {
    "created": 1773856017,
    "created_on_publish": false,
    "feedback": false,
    "id": "8f14e45f-ceea-4c67-9814-b8f0e0e1a6f0",
    "name": "Before holiday redesign",
    "node_id": "1a0cbb4e-09d3-402e-949e-f6732f021650",
    "node_type": "EMAIL"
  }
}